Bug 110690 - Can't rename folders on GNOME desktop when focus follows mouse
Can't rename folders on GNOME desktop when focus follows mouse
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2003-11-23 09:49 EST by Matthew Zimmerman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 10:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Zimmerman 2003-11-23 09:49:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When the focus in metacity (Preferences > Window)
is set on "Select windows when the mouse moves over them",
I am unable to rename folders and launchers on the desktop.
When I right-click on a folder and select "Rename...", the
title of the icon is surrrounded with a retangular box and the
pointer changes to the text-editing "I" shape, but no cursor
appears in that box and I am unable to modify the title's
text. All I can do is highlight the text with the mouse

When I change the focus model to `click-to-focus', it
works properly-- after clicking "Rename...", I can enter and
modify the text properly.

Version-Release number of selected component (if applicable):
nautilus-2.4.0-7 metacity-2.6.3-1

How reproducible:

Steps to Reproduce:
1. Set Preferences > Window > "Select windows when the mouse moves
over them" to true.
2. Right-click on a folder and select "Rename..."
3. Click in the text box around the folder title and type text.

Actual Results:  The typed text is not recognized, the folder title
doesn't change.

Expected Results:  The folder title SHOULD change (and DOES under a
different focus model).

Additional info:
Comment 1 Alexander Larsson 2004-02-09 04:43:12 EST
With the latest cvs code, this works, unless there is a window under
the icon that the context menu overlaps. Then you need to click in the
rename window to let you edit it. I'm not sure there is a good
solution that avoids this.
Comment 2 Alexander Larsson 2004-10-04 10:28:35 EDT
in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.